apiVersion: apps/v1
kind: Deployment
metadata:
  name: login-frontend
  namespace: edoc2
  labels:
    app: login-frontend
    k8s-app: login-frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: login-frontend
  template:
    metadata:
      labels:
        app: login-frontend
    spec:
      hostname: login-frontend
      containers:
        - image: dev.registry.edoc2.com/edoc2v5/login-frontend:20240606182054
          imagePullPolicy: IfNotPresent
          name: login-frontend
          ports:
            - name: login-frontend
              containerPort: 6300
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: login-frontend
  name: login-frontend
  namespace: edoc2
spec:
  ports:
    - name: login-frontend
      port: 6300
      protocol: TCP
      targetPort: 6300
  selector:
    app: login-frontend
  type: ClusterIP
